summaryrefslogtreecommitdiffstats
path: root/system/xrestop
diff options
context:
space:
mode:
Diffstat (limited to 'system/xrestop')
-rw-r--r--system/xrestop/README10
-rw-r--r--system/xrestop/slack-desc19
-rw-r--r--system/xrestop/xrestop.SlackBuild50
-rw-r--r--system/xrestop/xrestop.info8
4 files changed, 87 insertions, 0 deletions
diff --git a/system/xrestop/README b/system/xrestop/README
new file mode 100644
index 0000000000..0ec21d1ee5
--- /dev/null
+++ b/system/xrestop/README
@@ -0,0 +1,10 @@
+Xrestop uses the X-Resource extension to provide 'top' like statistics
+of each connected X11 client's server side resource usage. It is
+intended as a developer tool to aid more efficient server resource
+usage and debug server side leakage.
+
+It should work with any server supporting the X-Resource extension,
+including the freedesktop.org server and XFree86 4.3+.
+
+"xdpyinfo | grep Resource" should tell you if your server supports
+this extension.
diff --git a/system/xrestop/slack-desc b/system/xrestop/slack-desc
new file mode 100644
index 0000000000..d9644d6930
--- /dev/null
+++ b/system/xrestop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+xrestop: Xrestop (An X resource 'top' like tool)
+xrestop:
+xrestop: Xrestop uses the X-Resource extension to provide 'top' like
+xrestop: statistics of each connected X11 client's server side resource
+xrestop: usage. It is intended as a developer tool to aid more efficient
+xrestop: server resource usage and debug server side leakage.
+xrestop:
+xrestop: Homepage: http://www.freedesktop.org/wiki/Software/xrestop
+xrestop:
+xrestop:
+xrestop:
diff --git a/system/xrestop/xrestop.SlackBuild b/system/xrestop/xrestop.SlackBuild
new file mode 100644
index 0000000000..c54724953e
--- /dev/null
+++ b/system/xrestop/xrestop.SlackBuild
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+# Slackware build script for xrestop
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=xrestop
+VERSION=0.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+gzip -9 $PKG/usr/man/man?/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/xrestop/xrestop.info b/system/xrestop/xrestop.info
new file mode 100644
index 0000000000..a364cde1d8
--- /dev/null
+++ b/system/xrestop/xrestop.info
@@ -0,0 +1,8 @@
+PRGNAM="xrestop"
+VERSION="0.4"
+HOMEPAGE="http://www.freedesktop.org/wiki/Software/xrestop"
+DOWNLOAD="http://labs.o-hand.com/sources/xrestop/xrestop-0.4.tar.gz"
+MD5SUM="d8a54596cbaf037e62b80c4585a3ca9b"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"